<template>
    <div>
        <span>Фильтр:</span>

        <input
            type="text"
            :value="filter"
            @input="filterChange"
        >
    </div>
</template>

<script>
    export default {
        props: {
            filter: {
                type: String,
                require: true
            }
        },

        methods: {
            filterChange (event) {
                const data = event.data ?? '';

                this.$emit('update:filter', data);
            }
        }
    }
</script>